[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectList.IndexOf

Search for an object in the list

## Declaration

Source position: contnrs.pp line 85

`public function TObjectList.IndexOf(`
`AObject: TObject`
`):Integer;`

## Arguments

`AObject` |  | Object to search for.

## Function result

Position (index) at which object was found

## Description

IndexOf overrides the TList implementation to accept an object instance instead of a pointer.

The function returns the index of the first match for AObject in the list, or -1 if no match was found.

## Errors

None.

## See also

TObjectList.FindInstanceOf |  | Search for an instance of a certain class

The latest version of this document can be found at lazarus-ccr.sourceforge.net .